<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>Soul.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">tutorial-5</a> &gt; <a href="index.source.html" class="el_package">id.ac.ui.cs.advprog.tutorial5.core</a> &gt; <span class="el_source">Soul.java</span></div><h1>Soul.java</h1><pre class="source lang-java linenums">package id.ac.ui.cs.advprog.tutorial5.core;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name = &quot;soul&quot;)
<span class="fc" id="L12">public class Soul {</span>
	@Id
	@GeneratedValue(strategy = GenerationType.AUTO)
	private long id;
	 
	@Column(name = &quot;name&quot;)
	private String name;

	@Column(name = &quot;age&quot;)
	private int age;

	@Column(name = &quot;gender&quot;)
	private char gender;

	@Column(name = &quot;occupation&quot;)
	private String occupation;

	public long getId() {
<span class="nc" id="L30">		return id;</span>
	}

	public String getName() {
<span class="nc" id="L34">		return name;</span>
	}

	public void setName(String name) {
<span class="nc" id="L38">		this.name = name;</span>
<span class="nc" id="L39">	}</span>

	public int getAge() {
<span class="nc" id="L42">		return age;</span>
	}

	public void setAge(int age) {
<span class="nc" id="L46">		this.age = age;</span>
<span class="nc" id="L47">	}</span>

	public char getGender() {
<span class="nc" id="L50">		return gender;</span>
	}

	public void setGender(char gender) {
<span class="nc" id="L54">		this.gender = gender;</span>
<span class="nc" id="L55">	}</span>

	public String getOccupation() {
<span class="nc" id="L58">		return occupation;</span>
	}

	public void setOccupation(String occupation) {
<span class="nc" id="L62">		this.occupation = occupation;</span>
<span class="nc" id="L63">	}</span>

}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.5.201910111838</span></div></body></html>